List Orchestration Batches
GET
/api/v3/organizations/{organisation}/ai/orchestrations/{orchestrationId}/batches
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/orchestrations/example/batches?limit=20';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/orchestrations/example/batches?limit=20' \ --header 'Authorization: Bearer <token>'Get history of batches processed by this orchestration. Returns paginated batch records with status and item counts.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation machine name
orchestrationId
required
string
Orchestration identifier
Query Parameters
Section titled “Query Parameters”limit
integer
Maximum number of batches to return
cursor
string
Pagination cursor from previous response
Responses
Section titled “Responses”Batch history
Media typeapplication/json
object
batches
Array<object>
object
batchId
string
orchestrationId
string
iteration
integer
itemCount
integer
completedCount
integer
failedCount
integer
status
string
startedAt
string format: date-time
completedAt
string format: date-time
error
string
nextCursor
string
Example
{ "batches": [ { "status": "pending" } ]}Access denied
Orchestration not found
Failed to list orchestration batches
